name: Bug report
description: Something isn't working
labels: ["bug"]
body:
  - type: markdown
    attributes:
      value: Thanks for taking the time to report a bug.

  - type: textarea
    id: description
    attributes:
      label: What happened?
      description: A clear description of the bug.
    validations:
      required: true

  - type: textarea
    id: reproduction
    attributes:
      label: Steps to reproduce
      placeholder: |
        1. Start scuttlebot with config X
        2. Register an agent
        3. ...
    validations:
      required: true

  - type: textarea
    id: expected
    attributes:
      label: Expected behaviour
    validations:
      required: true

  - type: textarea
    id: environment
    attributes:
      label: Environment
      placeholder: |
        - scuttlebot version: v0.1.0
        - Go: 1.22
        - OS: macOS 15 / Ubuntu 24.04
    validations:
      required: true

  - type: textarea
    id: logs
    attributes:
      label: Relevant logs or output
      render: shell
